QGIS Application - Bug report #8589
QGIS not saving relative path correctly
2013-09-09 03:07 AM - Admire Nyakudya

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17331
Description

Working with the 1.9 version nightly build when on the project properties | have saved paths to be relative but when | save my project and
open it in a text editor It saves the path as absolute.

History

#1 - 2013-09-09 06:11 AM - Giovanni Manghi
- Category set to Project Loading/Saving
- Status changed from Open to Feedback

| cannot confirm, tested on both Linux and Windows with qgis master.

#2 - 2013-09-09 06:38 AM - Richard Duivenvoorde

| do confirm.

| do have a fresh build release_2_0 here, and I'm not able to save relative paths.

BUT: neither with my fresh build 1.8 version???

You should see relative paths in the .qgs file isn't it? | see this in the qgs file:

&lt;datasource&gt;/home/richard/geodata/world/world.shp&lt;/datasource&gt;

#3 - 2013-09-09 06:51 AM - Giovanni Manghi

fresh .qgis2 folder too?

Richard Duivenvoorde wrote:

I do confirm.

| do have a fresh build release_2 0 here, and I'm not able to save relative paths.

BUT: neither with my fresh build 1.8 version???

You should see relative paths in the .qgs file isn't it? | see this in the qgs file:

2025-12-15 1/3




<datasource>/home/richard/geodata/world/world.shp</datasource>

#4 - 2013-09-09 08:10 AM - Richard Duivenvoorde
- File kaasRelative.qgs added

yes, | removed .qgis2 dir AND .config/QGIS
in properties | set 'relative paths'. In debug | see this:

src/core/qgsprojectproperty.cpp: 321: (dump)  key: <WFSUrl> value:

src/core/qgsprojectproperty.cpp: 329: (dump)  key: <Paths> subkey: <Paths>

src/core/qgsprojectproperty.cpp: 321: (dump

)

)
src/core/qgsprojectproperty.cpp: 299: (dump) name: Paths

) key: <Absolute> value: false

)

(
src/core/qgsprojectproperty.cpp: 321: (

dump) key: <\WMSServiceTitle> value:

but in .qgs file | see:
<id>provincies20130909170042477</id>

<datasource>/home/richard/geodata/nl/provincies.shp</datasource>

<title></title>
.qgis file attached

#5 - 2013-09-09 08:24 AM - Richard Duivenvoorde

- File kaasRelative.qgs added

did some further testing, removed also .qgis and .config/QuantumGis dirs

But still absolute paths, if | just open a shp in my home dir, and then save the qgs file in /tmp
BUT if | then copy some data files in /tmp dir, and load those files, THOSE paths are relative in the project file??
Is it possible that QGIS just is not able to 'traverse' all to the right directory or so?

| opened qgis from /home/richard

Open data in /home/richard/geodata/nl

Saved project in /tmp

Then the .qgs file had /home/richard/geodan/nl/data.shp in its xml.

But copying data.shp to /tmp, and (same project) loading the data.shp from /tmp,

the .qgs file had ./data.shp in it's xml (and /home/richard/geodan/ni/data.shp for the other layer which was still in the project)

| wonder if the original issuer can tell us what exact his setup is: Operating System, QGIS version, way of starting and places of data and project saving.

#6 - 2013-09-09 08:55 AM - Matthias Kuhn
If there in no common ancestor as in your setup (i.e. the only common part of the path is root /') then there is no reason for saving a relative path and it will

be saved absolute.

#7 - 2014-07-28 08:31 AM - Matthias Kuhn
- Status changed from Feedback to Closed

Closed due to lack of feedback.
If you are able to provide the feedback required to solve this issue, please reopen it.

Files
kaasRelative.qgs 16.1 KB 2013-09-09 Richard Duivenvoorde
kaasRelative.qgs 16.1 KB 2013-09-09 Richard Duivenvoorde
